/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "match.h"

void _pokerActionMatchOnStart(queue_t *queue, queueaction_t *action, uint8_t i){
  poker_t *poker;
  uint8_t x;

  poker = (poker_t *)action->data;

  // TODO: Fix state
  // poker->state = POKER_STATE_STARTING_MATCH;

  // Reset the main game state. This will also init the round.
  pokerInit(&poker);

  //TODO: Add Players here
  
  queueNext(queue);
}

queueaction_t * pokerActionMatchAdd(queue_t *queue, poker_t *poker) {
  queueaction_t *action;
  action = queueAdd(queue);
  action->data = (void *)poker;
  action->onStart = &_pokerActionMatchOnStart;
  return action;
}