// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once

// Static Libs
#include <glad/glad.h>
#include <duktape.h>
#include <cglm/cglm.h>
#include <stb_image.h>
#include <stb_truetype.h>

// Standard Libs
#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>
#include <malloc.h>
#include <string.h>
#include <math.h>
#include <stdlib.h>

#if defined(_WIN32) || defined(_WIN64)
  // Windows Fixes
  # define strtok_r strtok_s
  # define sleep(n) _sleep(n)
#else
  // Unix Fixes
  #include <unistd.h>
#endif